Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Class Trigger.TriggerTimeComparator

    java.lang.Object
      org.quartz.Trigger.TriggerTimeComparator

All Implemented Interfaces:
  Serializable, Comparator<Trigger>

Enclosing interface:
  Trigger

    public static class Trigger.TriggerTimeComparator

extends Object
implements Comparator<Trigger>, Serializable

A Comparator that compares trigger's next fire times, or in other words, sorts them according to earliest next fire time. If the fire times are the same, then the triggers are sorted according to priority (highest value first), if the priorities are the same, then they are sorted by key.

See Also:
  Serialized Form

Constructor Summary
`Trigger.TriggerTimeComparator()`

Method Summary
`static int` | `compare(Date nextFireTime1, int priority1, TriggerKey key1, Date nextFireTime2, int priority2, TriggerKey key2)`
`int` | `compare(Trigger t1, Trigger t2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### Trigger.TriggerTimeComparator

    public Trigger.TriggerTimeComparator()

Method Detail

### compare

    public static int compare(Date nextFireTime1,
                              int priority1,
                              TriggerKey key1,
                              Date nextFireTime2,
                              int priority2,
                              TriggerKey key2)

### compare

    public int compare(Trigger t1,
                       Trigger t2)

  Specified by:
    `compare` in interface `Comparator<Trigger>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.